Dev guideRecipesAPI ReferenceChangelog
Dev guideRecipesUser GuidesNuGetDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Query for SCIM users

SCIM endpoint for querying users.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns all users for the requesting organization. The SCIM RFC defines filtering parameters to narrow the results and control the returned attributes in each user. Currently, Optimizely only supports the following filters:

  • pagination
  • attribute value eq operator on the username, name.givenName, and name.familyName attributes

SCIM RFC compliance

The optional filter parameter is not fully implemented, and if you specify a non-supported filter operator, then a bad response is returned. Only the eq operator is implemented against the supported user schema attributes.

  • The required attributes parameter is not implemented.
  • The optional sort parameters are not implemented.
  • The pagination parameters are supported.
  • Querying with POST or .search is not supported.

Error conditions

  • 400 (Bad Request) – The request contains a filter operator Opti ID does not support.
Query Params
string

Filter results by filter expressions. See RFC-7644 Section 3.4.2.2 for more information.

string

Only include attributes of resource specified in results. See RFC-7644 Section 3.4.2.5 for more information.

string

Exclude attributes of resource in results. See RFC-7644 Section 3.4.2.5 for more information.

string

Start results view on specified index (1 based). See RFC-7644 Section 3.4.2.4 for more information.

string

Maximum number of results to return. See RFC-7644 Section 3.4.2.4 for more information.

Responses

401

Unauthorized access to endpoint.

500

A server error occurred, please try again.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json